{
    attributes = (
        {
            columnName = "DUNIV_ANNEE_SCOL"; 
            externalType = NUMBER; 
            name = dunivAnneeScol; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "DUNIV_MONTANT"; 
            externalType = NUMBER; 
            name = dunivMontant; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "DUNIV_TYPE_DROIT"; 
            externalType = VARCHAR2; 
            name = dunivTypeDroit; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "RCPT_CODE"; 
            externalType = VARCHAR2; 
            name = rcptCode; 
            valueClassName = NSString; 
            valueType = S; 
            width = 3; 
        }
    ); 
    attributesUsedForLocking = (dunivAnneeScol, dunivMontant, dunivTypeDroit, rcptCode); 
    className = "org.cocktail.scolarix.serveur.metier.eos.EODroitsUniversite"; 
    classProperties = (dunivAnneeScol, dunivMontant, dunivTypeDroit, rcptCode, toRepartitionCompte); 
    externalName = "GARNUCHE.DROITS_UNIVERSITE"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_javaClientClassName" = "org.cocktail.scolarix.client.metier.eos.EODroitsUniversite"; 
    }; 
    isReadOnly = Y; 
    name = "FwkScolarix_DroitsUniversite"; 
    primaryKeyAttributes = (dunivAnneeScol, dunivTypeDroit, rcptCode); 
    relationships = (
        {
            destination = "FwkScolarix_RepartitionCompte"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = rcptCode; sourceAttribute = rcptCode; }); 
            name = toRepartitionCompte; 
        }
    ); 
}
